// d_crgrph.h : header file
//
#ifndef __WMATRIX_H__
#include "wmatrix.h"
#endif

#define MAX_NODES 50 
            
/////////////////////////////////////////////////////////////////////////////
// CCreateGraphDlg dialog
  	
class CCreateGraphDlg : public CDialog
{
// Construction
public:
	CCreateGraphDlg(CWordMatrix &graph, CWnd* pParent = NULL); // standard constructor
	
// Dialog Data
	//{{AFX_DATA(CCreateGraphDlg)
	enum { IDD = IDD_CREATE_GRAPH_DIALOG };
	CEdit	m_EditConnectProb;
	CListBox	m_ListToNodes;
	CListBox	m_ListFromNodes;
	CEdit	m_EditNumNodes;
	int		m_NumNodes;
	double	m_ConnectProb;
	//}}AFX_DATA

	CWordMatrix &m_Graph ;

// Implementation
private:                               

	void AddNodes(int num) ;
	void DelNodes(int num) ;
    void ShowConnections(int sel) ;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CCreateGraphDlg)
	afx_msg void OnClickedButtonAddNode();
	afx_msg void OnClickedButtonConnect();
	afx_msg void OnClickedButtonDelAllConnect();
	afx_msg void OnClickedButtonDelNode();
	afx_msg void OnClickedButtonDeleteConnect();
	afx_msg void OnClickedButtonRndConnect();
	afx_msg void OnKillfocusEditNumNodes();
	afx_msg void OnSelchangeListFromNodes();
	afx_msg void OnSelchangeListToNodes();
	afx_msg void OnKillfocusEditConnectProb();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
